Bug 332661 - gconftool-2 is slow, and usage by "yum update" is even slower
gconftool-2 is slow, and usage by "yum update" is even slower
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 10:53 EDT by John Reiser
Modified: 2010-06-28 06:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-10-15 10:53:53 EDT
Description of problem: During many a "yum update" most of the CPU time is
consumed by gconftool-2, and it takes too long.  A typical single invocation of
gconftool-2 takes 5 seconds of CPU time on a 2GHz machine; this is too long by a
factor of ten.  Some updates invoke gconftool-2 multiple times per package.  For
instance, updating xorg-x11-drv-avivo uses gconftool-2 at least *five* times!


Version-Release number of selected component (if applicable):
GConf2-2.20.0-2.fc8

How reproducible: always


Steps to Reproduce:
1. "yum update xorg-x11-drv-avivo" or "yum update" of any gnome package
2. 
3.
  
Actual results:  about 5 seconds of CPU time (as indicated by 'top') are
consumed by each invocation of gconftool-2, and some packages invoke it more
than once.


Expected results: any single invocation of gconftool-2 should take 0.5 seconds
or less, and updating any individual rpm package should have to invoke
gconftool-2 only once.


Additional info:
Comment 1 Bug Zapper 2008-05-13 23:24:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 18:57:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John Reiser 2009-06-10 22:46:36 EDT
The problem persists in Fedora 11 official release.  Another particularly bad rpm is 'evolution', whose installation or update runs gconftool-2 six or seven times totalling most of one minute CPU time.
Comment 4 Zing 2009-06-19 16:51:53 EDT
see also bug 469037
Comment 5 Bug Zapper 2010-04-27 07:47:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:27:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.